package com.tencent.qqmusicplayerprocess.service;
import com.tencent.qqmusicplayerprocess.songinfo.SongInfo;
import com.tencent.qqmusictv.business.session.Session;
import com.tencent.qqmusicplayerprocess.songinfo.SongInfo;

interface IMainProcessInterface{
	boolean isAppStarted();
	//For LocalMusicManager
	void saveLastPlayingListParams(boolean isSaveFolderInfoOnly);
	List<SongInfo> loadLocalMusic();
	int getLastPlayListSize();
	List<SongInfo> getLocalSongs();
	List<SongInfo> getLastPlayingList();
	List<SongInfo> getLastPlayingListPartially(int start, int end);
	String checkSongInfoHasLocalFile(in SongInfo songinfo, boolean isIncludeCache);
	
	//For connectionHelper
	void onSessionReturn(long tipsSession, in long[] blackList, int num);
	
	//For user manager
	String getWeakQQ();
	String getStrongQQ();
	String getNullQQ();
	boolean isGreen();
	String getAuthToken();
	int getVIPType();

	//For favor manager
	List<SongInfo> getFolderSongAll();
	
	//For Desk lyric
	// void handlerLyricToOpen();
	// void showDtLyric();
	// void closeDtLyric();
	
	boolean isUnicomDataUsageFree();
	String replaceUrlByUnicomHostVkeyGuid(String Url);
	String getCdnForUnicom();
	
	void saveDurationIntoDB(in SongInfo songInfo);
	
	
	//For session DB
	//Session readSessionFromDB(in Session session);
	String getUUID();
	String getOpenUdid2();
	void writeSessionToDB(in Session session);
	
	boolean isPreferenceLocked();

	
	void writePlayLog(String tag, String log);
	
	//For recent list
	boolean insertSongToRecentyPlayingList(in SongInfo songInfo);
	
	String addSaveWhenPlaySong(in SongInfo songinfo, String playUrl);

	void downloadSong(in SongInfo songInfo,int requestDownloadQuality);
	
	void onMediaUnmounted();

	void updateCanSQDownloadNum(in int canSQDownloadNum);
	
	void updateSongInfo(in SongInfo songinfo,String filename);
	
	Bundle getSingleSongRadioInfo();
	
	void updateCanDujiaDownloadNum(boolean isC,in int DujiaDownloadNum,int dujiaDownloadedNum);
	
	Bitmap loadAlbumBitmap(in SongInfo songinfo, int size);

	boolean isGYLCacheOutOfDate();

	void onConnectMessage(int ConnectStateType);
	void onReceiveCommand(String mJson);
	List<SongInfo> getLocalMusic();
	List<SongInfo> getFavouriteMusic();
	List<SongInfo> getSongsInFolder(long folderID, int folderType);
	void getMusicHallData();

	void setOverseaStrategy(in String[] strategies);
	int getGuessYouLikeReasonId();
	SongInfo getSongInfo(long songId,int type);

	boolean isRecognizing();
}