package com.tencent.qqmusicplayerprocess.service;

import java.util.List;
import com.tencent.qqmusicplayerprocess.songinfo.SongInfo;
import com.tencent.qqmusictv.business.session.Session;
import com.tencent.qqmusiccommon.storage.StorageVolume;
import com.tencent.qqmusicplayerprocess.service.IQQPlayerThirdCallback;
import com.tencent.qqmusicplayerprocess.service.IMainProcessInterface;

interface IQQPlayerServiceNew
{
	//For vKey
	String getServerCheck();
	int urlCannotDownload(String url, int respCode);
	void networkChangedForVkey();
	String getSpeedTestUrl();
	String getVKey();
	String getContKey(String filename,int ipaid);
	String getVKeyPair();
	String getVKeyUin();
	String getVKeyForWX(String guid);
	void forceToUpdateVkey();
	
	//For sdcard 
	boolean isSdcardAvailable();
	String getSdCardState();
	
	List<String> getStoragePaths();
	List<String> getRawStoragePaths();
	List<StorageVolume> getStorageVolumes();
	boolean setBigDataStoragePath(String path);
	String getStoragePath();
	String getBigDataStoragePath();
	String getMainPath();
	String getBigDataMainPath();
	String getFilePath(int index);
	String getBackupLocationPath(String p, boolean needChangeCurStoragepath);
	
	//For statistics manager
	long getSendFrequence();
	void setSendFrequence(long fre);
	void debugSendLog();
	void pushLog(String logInfo, boolean force);
	void simpleReport(String logInfo);
	void pushFrom(int curIndex);
	void popFromByIndex(int curIndex);
	void popFrom();
	String from();
	int getLatestPathPoint();
	String fromPrePath(boolean needPrePath);
	void setPrePath(String path);

    void registerMainProcessInterface(IMainProcessInterface iface);
    void unRegisterMainProcessInterface(IMainProcessInterface iface); 

    String getWeakQQ();
    boolean isPreferenceLocked();
    
    void onLoginStateChanged(String curStringQQNum);
	String getCurrentVkey();
	void setQQMusicUIConfig(int width, int height, float density);
}

